
From: Joe Thornber <thornber@sistina.com>

The 2.4 version of Device-Mapper scans for device-numbers in decimal
instead of hex (in dm_get_device()). Update 2.6 so both versions use
the same behavior.  [Kevin Corry]



 25-akpm/drivers/md/dm-table.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/md/dm-table.c~dm-3-use-hex drivers/md/dm-table.c
--- 25/drivers/md/dm-table.c~dm-3-use-hex	Thu Jul 31 11:33:06 2003
+++ 25-akpm/drivers/md/dm-table.c	Thu Jul 31 11:33:06 2003
@@ -418,12 +418,12 @@ static int __table_get_device(struct dm_
 	int r;
 	dev_t dev;
 	struct dm_dev *dd;
-	int major, minor;
+	unsigned int major, minor;
 
 	if (!t)
 		BUG();
 
-	if (sscanf(path, "%x:%x", &major, &minor) == 2) {
+	if (sscanf(path, "%u:%u", &major, &minor) == 2) {
 		/* Extract the major/minor numbers */
 		dev = MKDEV(major, minor);
 	} else {

_
